%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             netty-xnio-transport
Version:          0.1.1
Release:          3%{?dist}
Summary:          Netty Transport powered by XNIO
License:          ASL 2.0
URL:              https://github.com/xnio/netty-xnio-transport
Source0:          https://github.com/xnio/netty-xnio-transport/archive/netty-xnio-transport-%{namedversion}.tar.gz
# Add missing implementation
Patch0:           %{name}-0.1.1.CR2-xnio3.3.patch
# Support for netty >= 4.0.22
Patch1:           %{name}-0.1.1.CR2-netty.patch

BuildRequires:    maven-local
BuildRequires:    mvn(io.netty:netty-buffer)
BuildRequires:    mvn(io.netty:netty-transport)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)
BuildRequires:    mvn(org.jboss.xnio:xnio-api)

BuildArch:        noarch

%description
This is a Netty Transport powered by XNIO. It can be used to either wrap an
existing StreamConnection and AcceptingChannel or to bootstrap a Netty powered
server directly.

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{namedversion}
%patch0 -p1
%patch1 -p1

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Jul 15 2016 gil cattaneo <puntogil@libero.it> 0.1.1-1
- updated to 0.1.1.Final

* Tue Mar 01 2016 gil cattaneo <puntogil@libero.it> 0.1.1-0.7.CR2
- fix FTBFS rhbz#1239715,1307796
- fix BR list and use BR mvn()-like
- remove duplicate files
- fix some rpmlint problem
- introduce license macro

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-0.6.CR2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-0.5.CR2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-0.4.CR2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 0.1.1-0.3.CR2
- Use Requires: java-headless rebuild (#1067528)

* Mon Jan 13 2014 Marek Goldmann <mgoldman@redhat.com> - 0.1.1-0.2.CR2
- Better netty BR

* Thu Jan 09 2014 Marek Goldmann <mgoldman@redhat.com> - 0.1.1-0.1.CR2
- Initial packaging

